package com.ruoyi.web.modules.industryservice.mapper;

import java.util.Date;
import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.ruoyi.web.modules.industryservice.domain.BizYakDiseaseWarning;

public interface BizYakDiseaseWarningMapper
{
    BizYakDiseaseWarning selectBizYakDiseaseWarningById(Long id);

    List<BizYakDiseaseWarning> selectBizYakDiseaseWarningList(BizYakDiseaseWarning query);

    int insertBizYakDiseaseWarning(BizYakDiseaseWarning row);

    BizYakDiseaseWarning selectMonthlyWarningByPastureName(@Param("pastureName") String pastureName,
            @Param("warningType") int warningType, @Param("monthStart") Date monthStart,
            @Param("monthEnd") Date monthEnd);

    int updateAlertContent(BizYakDiseaseWarning row);
}
